%define revision 882598

Name: tapioca-qt
Version: 0.17.7
Release: %mkrel 0.%revision.3
Epoch: 1
Summary: High-level classes on top of TelepathyQt for use in clients
License: GPL
Group: Networking/Instant messaging
Url: http://telepathy.freedesktop.org/wiki/TapiocaQt
Source: %name-%version.%revision.tar.bz2 
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: cmake
BuildRequires: qt4-devel
BuildRequires: telepathy-qt-devel

%description
Tapioca-qt is a Qt4 package containing high-level classes on
top of TelepathyQt for use in clients. It's used in at least 
decibel and kopete experimental telepathy branch.

#---------------------------------------------------------------------

%define libQtTapioca %mklibname QtTapioca 0

%package -n %libQtTapioca
Summary: %{name} core library
Group: System/Libraries
Obsoletes: %{_lib}tapioca-qt0

%description -n %libQtTapioca
%name core library.

%if %mdkversion < 200900
%post -n %libQtTapioca -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libQtTapioca -p /sbin/ldconfig
%endif

%files -n %libQtTapioca
%defattr(-,root,root)
%_libdir/libQtTapioca.so.*

#--------------------------------------------------------------------

%package devel
Requires: %libQtTapioca = %{epoch}:%{version}
Summary: %name development files
Group: Development/Other
Provides: libtapioca-qt-devel
Obsoletes: %{_lib}tapioca-qt0-devel

%description devel
Tapioca-qt development files.

%files devel
%defattr(-,root,root)
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/QtTapioca.pc

#--------------------------------------------------------------------

%prep
%setup -q -n %name

%build
%cmake_qt4

%make

%install
rm -fr %buildroot

cd build
make DESTDIR=%buildroot install

%clean
rm -rf %buildroot



%changelog
* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1:0.17.7-0.882598.3mdv2010.0
+ Revision: 427280
- rebuild

* Wed Nov 26 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:0.17.7-0.882598.2mdv2009.1
+ Revision: 306818
- Bump release because of BS failure
- New snapshot

* Thu Jul 10 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:0.17.7-0.829319.1mdv2009.0
+ Revision: 233524
- Update to new snapshot

* Mon Jun 09 2008 Pixel <pixel@mandriva.com> 1:0.14.1-0.2031.2mdv2009.0
+ Revision: 217195
- do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.14.1-0.2031.2mdv2008.1
+ Revision: 179629
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Jul 31 2007 Helio Chissini de Castro <helio@mandriva.com> 1:0.14.1-0.2031.1mdv2008.0
+ Revision: 57193
- Using required revision 2031
- Changed specfile to match other kde specs
- Epoch needed to allow upgrade

* Thu Jul 05 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.14.1-1mdv2008.0
+ Revision: 48578
- New snaphot


* Tue Dec 12 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.0-1mdv2007.0
+ Revision: 95259
- Fix spec
- Fix x86_64 ( tks to laurent)
- Import tapioca-qt

